Lấy danh sách tin tức
curl --request GET \
--url https://api.fireant.vn/academy/news \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/academy/news"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/academy/news', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"newsId": 123,
"title": "<string>",
"content": "<string>",
"description": "<string>",
"isHot": true,
"date": "2023-11-07T05:31:56Z",
"hasAttachedFile": true,
"approved": true,
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>",
"lastModifiedDate": "2023-11-07T05:31:56Z"
}
]Academy
Lấy danh sách tin tức
GET
/
academy
/
news
Lấy danh sách tin tức
Ủy quyền
OAuth2 Implicit Grant
FlowNgầm định
- Authorization URL
- https://accounts.fireant.vn/connect/authorize
Scopes1
academy-read
Đọc dữ liệu các khóa học
Tham số truy vấn
Lọc theo tin nổi bật
Vị trí bản ghi đầu tiên lấy về (Dùng để phân trang, mặc địch là 0)
Số lượng tối đa bản ghi lấy về (Dùng để phân trang, mặc địch là 20)